curl --request POST \
--url https://api.upwell.com/api/rest/carrier_invoices/{carrierInvoiceId}/approve \
--header 'Content-Type: application/json' \
--data '
{
"carrierInvoiceId": "<string>",
"overrideExceptions": false
}
'{
"approveCarrierInvoice": {
"error": {
"code": "<string>",
"message": "<string>"
},
"exceptions": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"ownerId": "<string>",
"status": "CLOSED",
"type": "CARRIER_INVOICE_BOL_PO_NUMBER_MISMATCH",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"success": true
}
}Approve a carrier invoice by ID
curl --request POST \
--url https://api.upwell.com/api/rest/carrier_invoices/{carrierInvoiceId}/approve \
--header 'Content-Type: application/json' \
--data '
{
"carrierInvoiceId": "<string>",
"overrideExceptions": false
}
'{
"approveCarrierInvoice": {
"error": {
"code": "<string>",
"message": "<string>"
},
"exceptions": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"ownerId": "<string>",
"status": "CLOSED",
"type": "CARRIER_INVOICE_BOL_PO_NUMBER_MISMATCH",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"success": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
Use this file to discover all available pages before exploring further.
"carrierInvoiceId" is required (enter it either in parameters or request body)
Query parameters can also be provided in the request body as a JSON object
Successful response
Show child attributes